Systèmes de gestion de versions compatibles - 6.2

Talend Data Fabric Guide d'installation pour Linux

EnrichVersion
6.2
EnrichProdName
Talend Data Fabric
task
Installation et mise à niveau
EnrichPlatform
Studio Talend
Talend Activity Monitoring Console
Talend Administration Center
Talend Artifact Repository
Talend CommandLine
Talend DQ Portal
Talend ESB
Talend Identity Management
Talend Installer
Talend JobServer
Talend Log Server
Talend MDM Server
Talend MDM Web UI
Talend Project Audit
Talend Repository Manager
Talend Runtime
Talend SAP RFC Server

Note

Dans la suite de ce document :

  • recommandé : désigne un environnement recommandé par Talend sur la base de l'utilisation Talend et client ;

  • supporté : désigne un environnement supporté pour une utilisation avec les composants ou services listés ;

  • supporté avec limitations : désigne un environnement qui est supporté par Talend sous certaines conditions détaillées dans des notes.

Les informations contenues dans le tableau suivant s'appliquent à la version 6.2.2 de votre produit Talend au moment de sa sortie. Pour des informations mises à jour sur les derniers logiciels et bases de données supportés, veuillez consulter cette page (en anglais).

Les clients de gestion de versions suivants sont intégrés dans les produits Talend :

  • Apache Subversion (version 1.8)

  • Git (JGit/EGit 3.4.2)

Le tableau suivant liste les serveurs de systèmes de gestion de versions supportés que vous pouvez utiliser pour stocker vos projets.

Type

Serveurs de systèmes de gestion de versions

Version

Type de support

Apache Subversion

VisualSVN Server

3.3 (compatible avec Apache Subversion 1.8)

recommandé

3.5 (compatible avec Apache Subversion 1.8)

supporté

Bitnami Subversion Stack

compatible avec Apache Subversion 1.8

supporté

Svnserve

compatible avec Apache Subversion 1.8

supporté

SVNEdge

5.1.1

supporté

Git

GitHub

SaaS

recommandé

BitBucket

SaaS

supporté

GitLab

8.13

supporté

Gitblit

1.7.1

supporté

La méthode d'authentification Integrated Windows Authentication (NTLM) n'est pas supportée lorsque vous utilisez VisualSVN Server.

Note

Talend vous recommande d'utiliser le Studio Talend pour effectuer des modifications dans l'espace de travail de votre référentiel, et d'utiliser votre système de gestion de versions pour les projets Talend créés dans le Studio Talend.